<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
include("conexion/conectar.php");

if(isset($_POST["busca_emisor"])){
$rfcEmisor=$_POST["busca_emisor"];
$doc=$_POST["busca_documento"];
$serieI=$_POST["busca_serieI"];
$serieF=$_POST["busca_serieF"];
$folioI=$_POST["busca_folioI"];
$folioF=$_POST["busca_folioF"];
$fechaI=$_POST["busca_fechaI"];
$fechaF=$_POST["busca_fechaF"];
$busca_nombre=$_POST["busca_nombre"];
}else{

$serieI="";
$serieF="";
$folioI="";
$folioF="";
$fechaI="";
$fechaF="";
$busca_nombre="";
}
?>
<script>
$j_6(document).ready(function() {
        //$j_6('#menuAdmin_show').hide();	
        //$j_6('#busquedaDocs_show').hide();
        $j_6('#subeDocs_show').hide();
        $j_6('#closeModal-content').hide();
        //$j_6('#busquedaHist_show').hide();	
        $j_6('#loading').hide();
		

        $j_6('#loading').hide();
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
    }).ajaxStop(function() {
        $j_6('#loading').hide();
    });
	
	$j_6('#form, #fat, #FormBuscar').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            success: function(data) {
		$j_6('#cuerpo').html(data);
            }
        })
        
        return false;
    });
    
    $j_6(".ventanaModal").live('click',function () {
					rel=$j_6(this).attr("rel");
					arrayRel = rel.replace("[","").replace("]","").split(",");
					var height1 = $j_6(window).height();
					var width1 = $j_6(window).width();
					
					var left = (width1-arrayRel[1])/2;
					var top = (height1-arrayRel[2])/2;
					
					$j_6('#ventanaModal').height(height1);
					$j_6('#ventanaModal').width(width1);
					
					$j_6('#loadModal-content').width(arrayRel[1]);
					$j_6('#loadModal-content').height(arrayRel[2]);
					$j_6('#loadModal-content').css({left: left, top: top});
					
					$j_6('#closeModal-content').width(arrayRel[1]);
					$j_6('#closeModal-content').height(15);
					
					$j_6('#ventanaModal').removeClass();
					$j_6('#loadModal-content').removeClass();
					$j_6('#ventanaModal').addClass('ventanaModal_');
					if($j_6.browser.msie)
						$j_6('#loadModal-content').addClass('loadModal_');
					else
						$j_6('#loadModal-content').addClass('loadModal_ sombraModal');
						
					$j_6('#loadModal').load(arrayRel[0]);
					$j_6('#ventanaModal').show();
					$j_6('#loadModal-content').fadeIn('slow');
                    $j_6('#closeModal-content').show();
                                        
		});
		
		$j_6("#closeModal").live('click',function () {
					$j_6('#loadModal-content').hide();
                    $j_6('#closeModal-content').hide();
					$j_6('#ventanaModal').hide();
					$j_6('#loading').hide();
		});
    
	$j_6('#busca_fechaI').mask("9999-99-99",{placeholder:"_"});
	$j_6('#busca_fechaF').mask("9999-99-99",{placeholder:"_"});
});
$j_6(function() {
	$j_6( "#busca_fechaI" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	$j_6( "#busca_fechaF" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	$j_6( "#busca_fechaI" ).datepicker("option", "dateFormat", "yy-mm-dd");
	//$j_6( "#busca_fechaI" ).datepicker("option", "showAnim", "clip");
	
	$j_6( "#busca_fechaF" ).datepicker("option", "dateFormat", "yy-mm-dd");
	//$j_6( "#busca_fechaF" ).datepicker("option", "showAnim", "clip");
});

</script>
<center>
<table width="300px" style="margin-left: 8px">
    <?if(isset($_SESSION['usuario_p_prov_absa']) && trim($_SESSION['usuario_p_prov_absa']) != ""){?>
    <tr>
        <td align="left" class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all" style="cursor: pointer" onClick="collapseMenuLeft('busquedaDocs');">
            Consulta de Documentos
        </td>
    </tr>
    <tr>
        <td height="0px">
            <div id="busquedaDocs_hide">
		<?  include 'Busqueda.php';?>
            </div>
            
        </td>
    </tr>
    <tr>
        <td align="left" style="cursor: pointer" onClick="tools('gridAdjuntaArchivos.php');" class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all">
            Subir Documentos
        </td>
    </tr>
	<tr>
        <td align="left" style="cursor: pointer" onClick="tools('formularios/form_upload_cer.php');" class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all">
            Subir Certificado
        </td>
    </tr>
<tr>
    <td align="left" class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all" style="cursor: pointer" onClick="collapseMenuLeft('menuAdmin');">
        Administración
    </td>
</tr>
<tr>
    <td>
        <div id="menuAdmin_hide">
            <table width="100%">
                <?if($_SESSION['esAdmin_p_prov_absa'] == "SI"){?>
					<tr>
						<td align="left" style="cursor: pointer" onClick="tools('formularios/configPagina.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
							<img src="Imagenes/Engrenages.png"  width="24" height="24" />&nbsp;Config. de la Aplicación
						</td>
					</tr>
					
					<?if(trim(strtoupper($_SESSION['usuario_p_prov_absa'])) == "ADMIN"){?>
						<tr>
							<td align="left" style="cursor: pointer" onClick="tools('grids/receptores.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
								<img src="Imagenes/cfgFiles.png"  width="24" height="24" />&nbsp;Config. de Receptor/Documentos
							</td>
						</tr>
					<?}?>
					<tr>
						<td align="left" style="cursor: pointer" onClick="tools('formularios/form_busqueda_prov.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
							<img src="Imagenes/provider.png"  width="24" height="24" />&nbsp;Acceso al Portal
						</td>
					</tr>
					
					<tr>
						<td align="left" style="cursor: pointer" onClick="tools('grids/prov.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
							<img src="Imagenes/User_Accounts.png"  width="24" height="24" />&nbsp;Config. de Usuarios
						</td>
					</tr>
					<?if(trim(strtoupper($_SESSION['usuario_p_prov_absa'])) == "ADMIN"){?>
						<tr>
							<td align="left" style="cursor: pointer" onClick="tools('grids/rutas_recepcion.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
								<img src="Imagenes/ConfigXML.png"  width="24" height="24" />&nbsp;Config. de Recepci&oacute;n
							</td>
						</tr>
					<?}?>
					
					<!--<tr>
						<td align="left" style="cursor: pointer" onClick="tools('grids/unidades.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
							<img src="Imagenes/unidad.gif"  width="24" height="24" />&nbsp;Config. Unidades
						</td>
					</tr>-->
                <?}?>
            </table>
        </div>
    </td>
</tr>
<?if($_SESSION['esAdmin_p_prov_absa'] == "SI"){?>
<tr>
    <td align="left" class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all" style="cursor: pointer" onClick="collapseMenuLeft('importacion');">
        Importación
    </td>
</tr>
<tr>
    <td>
        <div id="importacion_hide">
            <table width="100%">
                <tr>
                    <td align="left" style="cursor: pointer" onClick="tools('formularios/form_importa_pagos.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
                        <img src="Imagenes/import.png"  width="24" height="24" />&nbsp;Importar Pagos
                    </td>
                </tr>
            </table>
        </div>
    </td>
</tr>
<tr>
    <td align="left" class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all" style="cursor: pointer" onClick="collapseMenuLeft('exportacion');">
        Exportación
    </td>
</tr>
<tr>
    <td>
        <div id="exportacion_hide">
            <table width="100%">
                <tr>
                    <td align="left" style="cursor: pointer" onClick="tools('formularios/form_exporta_recibecfd.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
                        <img src="Imagenes/export.png"  width="24" height="24" />&nbsp;Exportar Recepcion
                    </td>
                </tr>
            </table>
        </div>
    </td>
</tr>
<?}?>
<tr>
    <td align="left" class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all" style="cursor: pointer" onClick="collapseMenuLeft('tools');">
        Herramientas
    </td>
</tr>
<tr>
    <td>
        <div id="tools_hide">
            <table width="100%">
                <tr>
                    <td align="left" style="cursor: pointer" onClick="tools('formularios/form_tools.php');" class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all ui-accordion-icons">
                        <img src="Imagenes/tools.png"  width="24" height="24" />&nbsp;Utilerias
                    </td>
                </tr>
            </table>
        </div>
    </td>
</tr>


<?}?>
</table>
</center>
